/*
** Delete a course record from DB 
** Class: RealDelete
** Author: Yuping Zhu
** Date: 03-29-1999
*/

package ascdb.courses;

// import package java.sql to use JDBC
import java.sql.*;

// import oracle.html and javax.servlet package to generate dynamic HTML page
import oracle.html.*;
import javax.servlet.*;
import javax.servlet.http.*;

import java.io.*;
import ascdb.conf;
import ascdb.pub.UserCheck;

public class RealDelete extends HttpServlet {
    public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws ServletException, IOException
	{
	
        // Output HTML page header
        res.setContentType("text/html");
	PrintWriter out = res.getWriter();
	conf dbconf= new conf(req);
	String uid = req.getParameter("me");
	String cidStr = req.getParameter("cid");
	int cid = (new Integer(cidStr)).intValue();
	UserCheck u = new UserCheck(uid);
	
        try {
	    // Creates an HtmlHead Object
	    HtmlHead hd = new HtmlHead("Delete a Course");
	
            // Create an HtmlBody Object
	    HtmlBody bd = new HtmlBody();

	    // Sets various attributes of HtmlBody
     	    bd.setBackgroundColor("#fffff2");

	    // Creates an HtmlPage object using hd and bd
	    HtmlPage hp = new HtmlPage(hd, bd);
 
	    if (u.UserRole(1) < 0) {
		hp.addItem(new SimpleItem("You have no this privilegel"));
 		out.println(hp);
		return;
	    }
	    // Load the Oracle JDBC driver
	    Class.forName (dbconf.JdbcDriver);

	    // Connect to the database
	    Connection conn =
		DriverManager.getConnection (dbconf.ConnectStr,dbconf.DBName,dbconf.DBPassword);
	
	    // Create a Statement
	    Statement stmt = conn.createStatement ();

	    // Delete class instructor from table : class_instructors
	    ResultSet rset = stmt.executeQuery("select class_id from classes where course_id = " + cid);
	    int instCount = 0;
	    while (rset.next())
 	       instCount = stmt.executeUpdate("delete from class_instructors where class_id = " + rset.getInt(1));

	    // Delete all class sessions of the course
            int classCount = stmt.executeUpdate("delete from classes where course_id = " + cid);
	    
	    // Delete the course
	    int courseCount = stmt.executeUpdate("delete from courses where course_id = " + cid);
	    
	    hp.addItem(new SimpleItem("The Course: " + cid + " and its class sessions have been deleted!").setBold());
	    out.println(hp);
	 }
	 catch (ClassNotFoundException e) {
	  out.println("Can not load the JDBC Driver: "+ e.getMessage());
	 }
	 catch (SQLException e) {
	  out.println(e.getMessage());
	 }
	 catch (Exception e) {
	  out.println(e.getMessage());
         }
}}
 	    